Module javafx.graphics
Package javafx.scene.shape

## Class Circle

- java.lang.Object
- - javafx.scene.Node
  - - javafx.scene.shape.Shape
    - - javafx.scene.shape.Circle

- All Implemented Interfaces:
    `Styleable`, `EventTarget`

      public class Circle
      extends Shape

  The `Circle` class creates a new circle with the specified radius and center location measured in pixels.

  Example usage. The following code creates a circle with radius of 50 pixels centered at (100,100).

      import javafx.scene.shape.Circle;

      Circle circle = new Circle();
      circle.setCenterX(100.0f);
      circle.setCenterY(100.0f);
      circle.setRadius(50.0f);

  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `DoubleProperty` | `centerX` | Defines the horizontal position of the center of the circle in pixels.
    `DoubleProperty` | `centerY` | Defines the vertical position of the center of the circle in pixels.
    `DoubleProperty` | `radius` | Defines the radius of the circle in pixels.

    - ### Properties inherited from class javafx.scene.shape.Shape

      `fill, smooth, strokeDashOffset, strokeLineCap, strokeLineJoin, strokeMiterLimit, stroke, strokeType, strokeWidth`

    - ### Properties inherited from class javafx.scene.Node

      `accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible`

  - ### Field Summary

    - ### Fields inherited from class javafx.scene.Node

      `BASELINE_OFFSET_SAME_AS_HEIGHT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Circle()` | Creates an empty instance of Circle.
    `Circle​(double radius)` | Creates a new instance of Circle with a specified radius.
    `Circle​(double centerX, double centerY, double radius)` | Creates a new instance of Circle with a specified position and radius.
    `Circle​(double centerX, double centerY, double radius, Paint fill)` | Creates a new instance of Circle with a specified position, radius and fill.
    `Circle​(double radius, Paint fill)` | Creates a new instance of Circle with a specified radius and fill.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `DoubleProperty` | `centerXProperty()` | Defines the horizontal position of the center of the circle in pixels.
    `DoubleProperty` | `centerYProperty()` | Defines the vertical position of the center of the circle in pixels.
    `double` | `getCenterX()` | Gets the value of the property centerX.
    `double` | `getCenterY()` | Gets the value of the property centerY.
    `double` | `getRadius()` | Gets the value of the property radius.
    `DoubleProperty` | `radiusProperty()` | Defines the radius of the circle in pixels.
    `void` | `setCenterX​(double value)` | Sets the value of the property centerX.
    `void` | `setCenterY​(double value)` | Sets the value of the property centerY.
    `void` | `setRadius​(double value)` | Sets the value of the property radius.
    `String` | `toString()` | Returns a string representation of this `Circle` object.

    - ### Methods inherited from class javafx.scene.shape.Shape

      `fillProperty, getClassCssMetaData, getCssMetaData, getFill, getStroke, getStrokeDashArray, getStrokeDashOffset, getStrokeLineCap, getStrokeLineJoin, getStrokeMiterLimit, getStrokeType, getStrokeWidth, intersect, isSmooth, setFill, setSmooth, setStroke, setStrokeDashOffset, setStrokeLineCap, setStrokeLineJoin, setStrokeMiterLimit, setStrokeType, setStrokeWidth, smoothProperty, strokeDashOffsetProperty, strokeLineCapProperty, strokeLineJoinProperty, strokeMiterLimitProperty, strokeProperty, strokeTypeProperty, strokeWidthProperty, subtract, union`

    - ### Methods inherited from class javafx.scene.Node

      `accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBaselineOffset, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClip, getContentBias, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInitialFocusTraversable, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isResizable, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookup, lookupAll, managedProperty, maxHeight, maxWidth, minHeight, minWidth, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, prefHeight, prefWidth, pressedProperty, pseudoClassStateChanged, queryAccessibleAttribute, relocate, removeEventFilter, removeEventHandler, requestFocus, resize, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.css.Styleable

      `getStyleableNode`

- - ### Property Detail

    - #### centerX

          public final DoubleProperty centerXProperty

      Defines the horizontal position of the center of the circle in pixels.
      Default value:
        0.0
      See Also:
        `getCenterX()`, `setCenterX(double)`

    - #### centerY

          public final DoubleProperty centerYProperty

      Defines the vertical position of the center of the circle in pixels.
      Default value:
        0.0
      See Also:
        `getCenterY()`, `setCenterY(double)`

    - #### radius

          public final DoubleProperty radiusProperty

      Defines the radius of the circle in pixels.
      Default value:
        0.0
      See Also:
        `getRadius()`, `setRadius(double)`

  - ### Constructor Detail

    - #### Circle

          public Circle​(double radius)

      Creates a new instance of Circle with a specified radius.
      Parameters:
        `radius` - the radius of the circle in pixels

    - #### Circle

          public Circle​(double radius,
                        Paint fill)

      Creates a new instance of Circle with a specified radius and fill.
      Parameters:
        `radius` - the radius of the circle
        `fill` - determines how to fill the interior of the Circle

    - #### Circle

          public Circle()

      Creates an empty instance of Circle.

    - #### Circle

          public Circle​(double centerX,
                        double centerY,
                        double radius)

      Creates a new instance of Circle with a specified position and radius.
      Parameters:
        `centerX` - the horizontal position of the center of the circle in pixels
        `centerY` - the vertical position of the center of the circle in pixels
        `radius` - the radius of the circle in pixels

    - #### Circle

          public Circle​(double centerX,
                        double centerY,
                        double radius,
                        Paint fill)

      Creates a new instance of Circle with a specified position, radius and fill.
      Parameters:
        `centerX` - the horizontal position of the center of the circle in pixels
        `centerY` - the vertical position of the center of the circle in pixels
        `radius` - the radius of the circle in pixels
        `fill` - determines how to fill the interior of the Circle

  - ### Method Detail

    - #### setCenterX

          public final void setCenterX​(double value)

      Sets the value of the property centerX.
      Property description:
        Defines the horizontal position of the center of the circle in pixels.
      Default value:
        0.0

    - #### getCenterX

          public final double getCenterX()

      Gets the value of the property centerX.
      Property description:
        Defines the horizontal position of the center of the circle in pixels.
      Default value:
        0.0

    - #### centerXProperty

          public final DoubleProperty centerXProperty()

      Defines the horizontal position of the center of the circle in pixels.
      Default value:
        0.0
      See Also:
        `getCenterX()`, `setCenterX(double)`

    - #### setCenterY

          public final void setCenterY​(double value)

      Sets the value of the property centerY.
      Property description:
        Defines the vertical position of the center of the circle in pixels.
      Default value:
        0.0

    - #### getCenterY

          public final double getCenterY()

      Gets the value of the property centerY.
      Property description:
        Defines the vertical position of the center of the circle in pixels.
      Default value:
        0.0

    - #### centerYProperty

          public final DoubleProperty centerYProperty()

      Defines the vertical position of the center of the circle in pixels.
      Default value:
        0.0
      See Also:
        `getCenterY()`, `setCenterY(double)`

    - #### setRadius

          public final void setRadius​(double value)

      Sets the value of the property radius.
      Property description:
        Defines the radius of the circle in pixels.
      Default value:
        0.0

    - #### getRadius

          public final double getRadius()

      Gets the value of the property radius.
      Property description:
        Defines the radius of the circle in pixels.
      Default value:
        0.0

    - #### radiusProperty

          public final DoubleProperty radiusProperty()

      Defines the radius of the circle in pixels.
      Default value:
        0.0
      See Also:
        `getRadius()`, `setRadius(double)`

    - #### toString

          public String toString()

      Returns a string representation of this `Circle` object.
      Overrides:
        `toString` in class `Node`
      Returns:
        a string representation of this `Circle` object.